<?php

namespace App\Policies;

use App\Models\User;
use App\Models\HeaderLogo;

class HeaderLogoPolicy
{
    public function viewAny(User $user): bool
    {
        return $user->hasAnyPermission([
            'create headerlogo', 'edit headerlogo', 'view headerlogo', 'delete headerlogo'
        ]);
    }

    public function view(User $user, HeaderLogo $headerLogo): bool
    {
        return $user->hasPermissionTo('view headerlogo');
    }

    public function create(User $user): bool
    {
        return $user->hasPermissionTo('create headerlogo');
    }

    public function update(User $user, HeaderLogo $headerLogo): bool
    {
        return $user->hasPermissionTo('edit headerlogo');
    }

    public function delete(User $user, HeaderLogo $headerLogo): bool
    {
        return $user->hasPermissionTo('delete headerlogo');
    }

    public function restore(User $user, HeaderLogo $headerLogo): bool
    {
        return $user->hasPermissionTo('restore headerlogo');
    }

    public function forceDelete(User $user, HeaderLogo $headerLogo): bool
    {
        return $user->hasPermissionTo('force delete headerlogo');
    }
}
